Subject: Re: bug#12400: rmdir runs "amok", users "curse" GNU...(as rmdir has no option to stay on 1 file system)...

From: Linda Walsh <[email-masked]>
Date: Sun, 09 Sep 2012 20:37:50 -0700

Paul Eggert wrote:
> On 09/09/2012 06:40 PM, Linda Walsh wrote:
>>> It's not clear to me why 'rmdir /foo/a /bar/b' should by default
>>> reject the attempt to remove '/bar/b' merely because it's on a
>>> different file system from '/foo/a'.
>> ----
>> Then why have the option for 'rm'?
> 
> There is no such option for 'rm'.  The --one-file-system
> option is a different option; it doesn't have the behavior
> mentioned above.

Right...but I'm not using the behavior described above, I'm
using the wildcard option rm **

In the same way...ahhh....so when I asked for code for rm -fr . I didn't
included the code:

Priv->run([$Rm, "--one-file-system", "-fr", "."]);

rm -rf * .[!.] .??*

If I understand you correctly, rm --one-file-system -fr * .[1.] .??* isn't
going to stay on one file system.

So is that a bug in rm or in shell?

or how do I remove all the files in /tmp, but not have it descend into any file
systems mounted in tmp?

Cuz if rmdir using wildcards won't work with --one-file-system, I'm
guessing it won't work in 'rm' either.